import 'package:design_system/design_system.dart';
import 'package:flutter/material.dart';
import 'package:flutter_riverpod/flutter_riverpod.dart';

class NoPlanErrorScreen extends ConsumerWidget {
  const NoPlanErrorScreen({super.key});

  @override
  Widget build(BuildContext context, WidgetRef ref) {
    final theme = ref.watch(themePortProvider);

    return Scaffold(
      body: Container(
        margin: EdgeInsets.all(30),
        child: Center(
          child: Column(
            children: [
              Spacer(flex: 3),
              Text(
                "Estamos mejorando el servicio",
                style: TextStyle(fontWeight: FontWeight.bold, fontSize: 25),
              ),
              Text(
                "Asocia tu reloj a SaveFamily y ayuda a tus peques a aprender a usar el dinero con responsabilidad",
              ),
              Container(
                margin: EdgeInsets.symmetric(vertical: 20),
                child: Column(
                  children: [
                    Row(
                      children: [
                        Icon(
                          Icons.check,
                          color: theme.getColorFor(ThemeCode.buttonPrimary),
                        ),
                        Text("Desarrollarán hábitos financieros sanos"),
                      ],
                    ),
                    Row(
                      children: [
                        Icon(
                          Icons.check,
                          color: theme.getColorFor(ThemeCode.buttonPrimary),
                        ),
                        Text("Gestiona sus gastos"),
                      ],
                    ),
                  ],
                ),
              ),
              Text(
                "Selecciona tu plan en nuestra web y empieza a enseñar a los peques a entender el valor del dinero",
              ),
              Spacer(flex: 1),
              FilledButton(
                onPressed: () => {},
                child: Container(
                  width: double.infinity,
                  padding: EdgeInsets.all(20),
                  child: Text("Seleccionar plan"),
                ),
              ),
              Spacer(flex: 3),
            ],
          ),
        ),
      ),
    );
  }
}
